using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;

namespace Rokojori
{  
  public interface XMLElementSelector
  { 
    bool Selects( XMLElementNode elementNode );

    string selector { get; }
  }

  public class XMLElementSelectors
  {
    public static XMLElementSelector From( string selector )
    {
      return XMLElementNodeName.Create( selector );
    }
  }
}